package com.anabas.eventbus;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:
 * @author
 * @version 1.0
 */

public interface Publisher {


  /**
   * Get a list of Destinations that are subscribed to this channel.
   *
   * @param type The type of the message as listed in the Message public
   *        static final variables.
   */
  public Message      createMessage(short msgType,short bodyType);

  /**
   * Sends a message and waits for a response
   * @param timeout in milliseconds.
   */
  public Message      request(Message,int timeout);

   /**
   * Multicast the message to a Destinations.
   */
  public void         sendMessage(Message,Destination d);

  /**
   * Broadcast the message to all subscribers in this channel.
   */
  public void         broadcast(Message);
}