package com.anabas.eventbus;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:
 * @author
 * @version 1.0
 *
 * A leaf node in the event bus tree.
 */

public interface Stream {

  /**
   * Same as StreamContext.search() but only does so in this stream.
   *
   * @return A destination object that matches the destination selector.
   *         null if no matches.
   */
  public Destination   findDestination(DestinationSelector d) throws IllegalAccessException;

  /**
   * @return The name of the stream.
   */
  public String     getName();

  public Subscriber createSubscriber();

  public Publisher  createPublisher();
}