package com.anabas.eventbus;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:
 * @author
 * @version 1.0
 *
 * A stream context is a non-leaf node in the tree of collaborative collections.
 */

/**
 * The initial starting point for sharedlets to get a handle into the
 * event bus universe.
 *
 * Security
 * ------------
 * Prevention of 1 sharedlet instance from accessing other sharedlet
 * instance's messages or 1 user from accessing another user's messages.
 * Environment can automatically set message selector defaults such as
 * user=,sharedlet=.  All subsequent createSubscriber will inherit these defaults.
 *
 *
 */
public interface StreamContextFactory {

  /**
   * Sets setup properties for the event bus factory.  Such as connection
   * parameters, authentication parameters, ...
   */
  public void setProperty(String str,Object obj);

  /**
   * @param contextName A UNIX directory style name.  i.e. /root/meeting153
   * @exception IllegalAccessException This factory instance does not have the
   *            authority to get the context at the contextName specified.
   */
  public StreamContext findContext(String contextName) throws IllegalAccessException;
}




